#include "filter_sparse.h"
#include "../inout/test_inout.h"

static int
input_hooks(test_input_hooks_t** hooks) {
  hooks[0] = &test_input_filter_sparse;
  return 1;
}

static int
output_hooks(test_output_hooks_t** hooks) {
  hooks[0] = &test_output_filter_sparse;
  return 1;
}

static int
isnegative(void* __dummy, void* p) {
  return ((intptr_t)p < 0);
}

static void
run( modref_t** inputs,
     modref_t** outputs) {

  modref_t* TEMP_BUGFIX = modref();
  
  filter_sparse(isnegative, NULL, inputs[0], outputs[0]);
}

static test_app_hooks_t hooks = {
  input_hooks,
  output_hooks,
  test_input_sizes_for_1_input,
  run,
  verif(run),
};

test_app_t test_app_filter_sparse = {"filter-sparse", &hooks};
